#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――
#   File: perl-TOML-Parser.spec
#   ――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――

Source1000:         vdb.lua
%include            %{S:1000}

%global ver         0.91
%global rel         12.vdb.1

Name:           perl-TOML-Parser
Version:        %{ver}
Release:        %{rel}%{?dist}
Summary:        Simple toml parser
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/TOML-Parser
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KARUPA/TOML-Parser-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Storable) >= 2.38
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Deep::Fuzzy)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Types::Serialiser)
BuildRequires:  perl(constant)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)


%description
TOML::Parser is a simple toml parser.

%prep
%setup -q -n TOML-Parser-%{version}
cp README.md README.md.orig                               # VdB
iconv -f ISO-8859-1 -t utf-8 README.md.orig > README.md   # VdB

%build
unset PERL_MB_OPT       # VdB
unset PERL_MM_OPT       # VdB
perl Build.PL --installdirs=vendor
./Build

%install
[[ -z "$SPEC_NO_INSTALL" ]] || exit 0
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README.md
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 08 2023 Van de Bugger - 0.91-12.vdb.1
- SPDX License expression used in License tag.

* Sat Feb 18 2023 Van de Bugger - 0.91-9.vdb.2
- Rebuild.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 03 2022 Van de Bugger - 0.91-9.vdb.1
- Rebuild.

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.91-10
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.91-7
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.91-4
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.91-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Oct  1 2019 Yanko Kaneti <yaneti@declera.com> - 0.91-2
- Incorporate some review feedback

* Mon Sep 30 2019 Yanko Kaneti <yaneti@declera.com> - 0.91-1
- Specfile autogenerated by cpanspec 1.78 and tweaked
